Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.client
Class EngineException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.util.AbstractExceptionContainer
                        |
                        +--com.bea.wlai.client.EngineException

public class EngineException
extends AbstractExceptionContainer

An exception which indicates an error accessing or manipulating the state of a WLAI engine. This may be a primary exception, or a secondary exception wrapping a primary exception. In the former case, no linked exception will be available, in the latter case, there will be one or more linked exceptions.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.util.AbstractExceptionContainer
`m_container`

Constructor Summary
`EngineException(java.lang.String message)` Construct a new EngineException with the given message, and no linked exceptions.
`EngineException(java.lang.String message, java.lang.Exception exception)` Construct a new EngineException with the given message and one linked exception.

Methods inherited from class com.bea.util.AbstractExceptionContainer
`addException, containsException, getExceptions, getLinkedException, printStackTrace, printStackTrace, printStackTrace, printStackTrace, removeException, toString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EngineException

    public EngineException(java.lang.String message)

  Construct a new EngineException with the given message, and no linked exceptions.

  Parameters:
    `message` - The message describing the details of this exception.

### EngineException

    public EngineException(java.lang.String message,
                           java.lang.Exception exception)

  Construct a new EngineException with the given message and one linked exception. Other linked exceptions may be added after construction if desired.

  Parameters:
    `message` - The message describing the details of this exception.
    `exception` - The exception to link to the new exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)